<template lang="pug">
#content
  .content-wrapper
    .main-banner
      .banner-text
        p {{$t('contactBanner')}}
    .main-content
      .main-card-wrapper.columns.is-desktop
        .card.column
          nuxt-img.card-image(src="/call-img.png" alt="Telefon" :height="234" :width="234")
          p.card-title.titleis-4 {{$t('contactPhoneTitle')}}
          p.card-description.subtitle.is-6 {{$t('phone')}}
        .card.column
          nuxt-img.card-image(src="/email-img.png" alt="Email" :height="234" :width="234")
          p.card-title.titleis-4 {{$t('contactEmail')}}
          p.card-description.subtitle.is-6 {{$t('email')}}
        .card.column
          nuxt-img.card-image(src="/address-img.png" alt="adresa" :height="234" :width="234")
          p.card-title.titleis-4 {{$t('contactAddressTitle')}}
          p.card-description.subtitle.is-6 {{$t('address')}}
        .card.column
          nuxt-img.card-image(src="/hours-img.png" alt="radno vreme" :height="234" :width="234")
          p.card-title.titleis-4 {{$t('hoursTitle')}}
          div.card-description.subtitle.is-6.last
            p {{$t('hours')}}
            p {{$t('hoursWeekend')}}
      .main-contact-form
        .main-contact-wrapper
          .columns
            .column.is-full.is-vcentered
              h2.form-title.is-size-1-desktop.is-size-3-touch {{$t('contactFormTitle')}}
          form.is-full.contact-form
            .column.is-full
              label(for="contact-area") {{$t('contactFormMessage')}}
              textarea#contact-area.textarea.is-primary(
                :placeholder="$t('contactFormMsgPlaceholder')"
                v-model="content"
              )
            .column.is-full.btn-center
              b-button.contact-button(type="is-primary" @click="sendMail()") {{$t('sendMsg')}}
</template>

<script>
export default {
  data() {
    return {
      content: '',
    }
  },
  head() {
    return {
      title: 'Dragon Shooting - Kontakt',
    }
  },
  methods: {
    sendMail() {
      const timestamp = Math.floor(new Date().getTime() / 1000)
      const uri = `mailto:info@shooting.rs?subject=Dragon Shooting Upit #${timestamp}&body=${this.content}`
      window.open(uri)
      this.$gtag('event', 'click', {event_category: 'contact', event_label: 'main', value: timestamp})
    },
  },
}
</script>
<style lang="scss" scoped>
$primary: #006d77;
$bg-grey: #24252a;
$bg-light-grey: #2c3035;

.main-banner {
  height: 400px;
  display: flex;
  justify-content: center;
  flex-direction: column;
  background-image: url('/img/bg_manuf.jpg');
  background-size: cover;
  background-repeat: no-repeat;
  .banner-text {
    font-size: 3em;
    p {
      color: white;
      font-weight: 700;
      text-align: center;
    }
  }
}
#content {
  .main-content {
    height: 100%;
    display: flex;
    justify-content: center;
    flex-direction: column;
    justify-content: flex-start;
    align-items: center;
    flex-wrap: nowrap;
    align-content: center;
    margin-top: 75px;
    .main-card-wrapper {
      padding-bottom: 75px;
      width: 70%;
      .card {
        display: flex;
        flex-direction: column;
        align-items: center;
        padding: 0;
        border-radius: 0;
        p.card-title {
          font-weight: 700;
        }
        .card-description {
          line-height: 1.6em;
          padding-top: 1em;
          padding-bottom: 1em;
          text-align: center;
        }
        img.card-image {
          width: 21rem;
          height: auto;
        }
      }
    }
    .main-contact-form {
      background-color: #f5f5f5;
      height: 23em;
      display: flex;
      justify-content: center;
      flex-direction: column;
      align-items: center;
      flex-wrap: nowrap;
      align-content: center;
      width: 70%;
      min-width: 350px;
      margin-bottom: 2em;
      input,
      textarea {
        border-color: $primary;
      }
      .main-contact-wrapper {
        height: 95%;
        width: 95%;
        .form-title {
          text-align: center;
        }
        .grid {
          border-radius: 20px;
          overflow: hidden;
          padding: 0;
        }
        .center {
          display: flex;
          align-items: center;
          justify-content: center;
          padding: 20px;
          flex-wrap: wrap;
        }
        .contact-form {
          width: 100%;
          .btn-center {
            display: flex;
            justify-content: center;
            .contact-button {
              font-size: 1em;
              background-color: $primary;
              border-radius: 50px;
            }
          }
        }
      }
    }
  }
}
</style>
